{
  "display": {
    "icon": {
      "id": "minecraft:iron_sword"
    },
    "title": "Stray Warrior",
    "description": "Stray Warriors have a 25% chance to spawn in place of a regular stray",
    "show_toast": false,
    "announce_to_chat": false,
    "hidden": true
  },
  "parent": "survivalplus:tips/stray",
  "criteria": {
    "stray_warrior_tip": {
      "trigger": "minecraft:player_killed_entity",
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:stray",
              "equipment": {
                "mainhand": {
                  "items": [
                    "minecraft:iron_sword"
                  ]
                }
              }
            }
          }
        ]
      }
    }
  }
}